Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.universe
Class UniverseID

    java.lang.Object
      things.universe.UniverseID

All Implemented Interfaces:
  java.io.Serializable

    public class UniverseID

extends java.lang.Object
implements java.io.Serializable

Universe IDENITY.

Version:
  1.0

  Version History

      EPG - Adapted from another project - 23 SEP 03

Author:
  Erich P. Gatejen
See Also:
  Serialized Form

Field Summary
`static long` | `serialVersionUID`

Constructor Summary
`UniverseID()` Create as a long ID from what we know about the system.
`UniverseID(java.lang.String name)` Create as an ID based on a string.

Method Summary
`boolean` | `equals(UniverseID other)` See if this object is equal to the passes object.
`java.lang.String` | `getName()` Get the local name of the universe.
`java.lang.String` | `toString()` Get the universe ID expressed as a string in hex

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    public static final long serialVersionUID

See Also:
  Constant Field Values

Constructor Detail

### UniverseID

    public UniverseID()

  Create as a long ID from what we know about the system.

### UniverseID

    public UniverseID(java.lang.String name)

  Create as an ID based on a string.

  Parameters:
    `name` - The name. It should be locally unique.

Method Detail

### equals

    public boolean equals(UniverseID other)

  See if this object is equal to the passes object.

  Parameters:
    `other` - object to compare
  Returns:
    true if they are equal, otherwise false

### toString

    public java.lang.String toString()

  Get the universe ID expressed as a string in hex

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the universe ID (as a String)

### getName

    public java.lang.String getName()

  Get the local name of the universe.

  Returns:
    the name.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.